#!/bin/bash
BASE=`uname -r|cut -d "-" -f 1-4`
CPUS=`lscpu|grep CPU:|head -1|awk '{print $2}'`

#
# DEBUGカーネルの再コンパイル
#
cd /lib/modules/$BASE-debug/build
./ccur-config -n -F debug
make -j $CPUS REDHAWKFLAVOR="-debug" clean
make -j $CPUS REDHAWKFLAVOR="-debug" bzImage
cp      certs/signing_key.x509 \
        certs/signing_key.pem \
        certs/x509.genkey  /usr/local/CNC/rebuild/certs/debug
make -j $CPUS REDHAWKFLAVOR="-debug" modules
make -j $CPUS REDHAWKFLAVOR="-debug" modules_install
make -j $CPUS REDHAWKFLAVOR="-debug" install
#
# Nvidia GLX Customドライバ(DEBUGカーネル用)の再コンパイル
#
if [ -d /usr/src/nvidia-*/ ]
then
	cd /usr/src/nvidia-*/
	make -j $CPUS REDHAWKFLAVOR="-debug" clean
	make -j $CPUS REDHAWKFLAVOR="-debug" modules
	/usr/sbin/ccur-pagepool /usr/src/nvidia-*/nvidia.ko
	make -j $CPUS REDHAWKFLAVOR="-debug" modules_install
fi
dracut --kver $BASE-debug -f --omit-drivers "e1000e igb ixgb ixgbe i40e ice nvidia_uvm nvidia_drm nvidia_modeset nvidia" 
sha512hmac /boot/vmlinuz-$BASE-debug > /boot/.vmlinuz-$BASE-debug.hmac
