#!/bin/bash
BASE=`uname -r|cut -d "-" -f 1-4`
CPUS=`lscpu|grep CPU:|head -1|awk '{print $2}'`
cd /lib/modules/$BASE-trace/build
#
# STANDARDカーネルの再コンパイル
#
cd /lib/modules/$BASE/build
./ccur-config -n -F standard
make -j $CPUS REDHAWKFLAVOR="" clean
make -j $CPUS REDHAWKFLAVOR="" bzImage
cp      certs/signing_key.x509 \
        certs/signing_key.pem \
        certs/x509.genkey  /usr/local/CNC/rebuild/certs/standard
make -j $CPUS REDHAWKFLAVOR="" modules
make -j $CPUS REDHAWKFLAVOR="" modules_install
make -j $CPUS REDHAWKFLAVOR="" install
#
# Nvidia GLX Customドライバ(STANDARDカーネル用)の再コンパイル
#
if [ -d /usr/src/nvidia-*/ ]
then
	cd /usr/src/nvidia-*
	make -j $CPUS REDHAWKFLAVOR="" clean
	make -j $CPUS REDHAWKFLAVOR="" modules
	/usr/sbin/ccur-pagepool /usr/src/nvidia-*/nvidia.ko
	make -j $CPUS REDHAWKFLAVOR="" modules_install
fi
dracut --kver $BASE -f --omit-drivers "e1000e igb ixgb ixgbe i40e ice nvidia_uvm nvidia_drm nvidia_modeset nvidia" 
sha512hmac /boot/vmlinuz-$BASE > /boot/.vmlinuz-$BASE.hmac
