#!/bin/bash
BASE=`uname -r|cut -d "-" -f 1-4`
CPUS=`lscpu|grep CPU:|head -1|awk '{print $2}'`
cd /lib/modules/$BASE-trace/build
#
# TRACEカーネルの再コンパイル
#
./ccur-config -n -F trace
make -j $CPUS REDHAWKFLAVOR="-trace" clean
make -j $CPUS REDHAWKFLAVOR="-trace" bzImage
cp	certs/signing_key.x509 \
	certs/signing_key.pem \
	certs/x509.genkey  /usr/local/CNC/rebuild/certs/trace
make -j $CPUS REDHAWKFLAVOR="-trace" modules
make -j $CPUS REDHAWKFLAVOR="-trace" modules_install
make -j $CPUS REDHAWKFLAVOR="-trace" install
#
# Nvidia GLX Customドライバ(TRACEカーネル用)の再コンパイル
#
if [ -d /usr/src/nvidia-*/ ]
then
	cd /usr/src/nvidia-*/
	make -j $CPUS REDHAWKFLAVOR="-trace" clean
	make -j $CPUS REDHAWKFLAVOR="-trace" modules
	/usr/sbin/ccur-pagepool /usr/src/nvidia-*/nvidia.ko
	make -j $CPUS REDHAWKFLAVOR="-trace" modules_install
fi
dracut --kver $BASE-trace -f --omit-drivers "e1000e igb ixgb ixgbe i40e ice nvidia_uvm nvidia_drm nvidia_modeset nvidia" 
sha512hmac /boot/vmlinuz-$BASE-trace > /boot/.vmlinuz-$BASE-trace.hmac
